---
layout: "vault"
page_title: "Vault: vault_pki_secret_backend_intermediate_set_signed resource"
sidebar_current: "docs-vault-resource-pki-secret-backend-intermediate-set-signed"
description: |-
  Submit the PKI CA certificate.
---

# vault\_pki\_secret\_backend\_intermediate\_set\_signed

Submits the CA certificate to the PKI Secret Backend.

~> **Important** All data provided in the resource configuration will be
written in cleartext to state and plan files generated by Terraform, and
will appear in the console output when Terraform runs. Protect these
artifacts accordingly. See
[the main provider documentation](../index.html)
for more details.

## Example Usage

```hcl
resource "vault_pki_secret_backend_intermediate_set_signed" "intermediate" { 
  backend = "${vault_pki_secret_backend.intermediate.path}"
  
  certificate = "<...>"
}
```

## Argument Reference

The following arguments are supported:

* `backend` - (Required) The PKI secret backend the resource belongs to.

* `certificate` - (Required) The certificate

## Attributes Reference

No additional attributes are exported by this resource.
